[libgames-support] Stop using gnome-common
- From: Michael Catanzaro <mcatanzaro src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [libgames-support] Stop using gnome-common
- Date: Sun, 28 Jun 2015 16:40:51 +0000 (UTC)
commit a4c8d7761dd4aeab4422fb792d75f9a5a2ccde39
Author: Michael Catanzaro <mcatanzaro gnome org>
Date: Sat Jun 27 19:48:53 2015 -0500
Stop using gnome-common
Makefile.am | 2 --
autogen.sh | 39 ++++++++++++++++++++++++++++++---------
configure.ac | 2 --
3 files changed, 30 insertions(+), 13 deletions(-)
---
diff --git a/Makefile.am b/Makefile.am
index 91bbd01..8baedb1 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,7 +1,5 @@
SUBDIRS = po
-ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
-
pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = libgames-support.pc
diff --git a/autogen.sh b/autogen.sh
index fc1676d..2f4d7e6 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,15 +1,36 @@
#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
srcdir=`dirname $0`
-[ -z "$srcdir" ] && srcdir=.
+test -z "$srcdir" && srcdir=.
-if [ ! -f "$srcdir/configure.ac" ]; then
- echo "$srcdir doesn't look like source directory for $PKG_NAME" >&2
- exit 1
+(test -f $srcdir/configure.ac) || {
+ echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
+ exit 1
+}
+
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' "$srcdir/configure.ac"`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "**Warning**: I am going to run \`configure' with no arguments." >&2
+ echo "If you wish to pass any to it, please specify them on the" >&2
+ echo \`$0\'" command line." >&2
+ echo "" >&2
fi
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from GNOME Git"
- exit 1
-}
+set -x
+aclocal --install || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+{ set +x; } 2>/dev/null
+
+if [ "$NOCONFIGURE" = "" ]; then
+ set -x
+ $srcdir/configure "$@" || exit 1
+ { set +x; } 2>/dev/null
-. gnome-autogen.sh "$@"
+ if [ "$1" = "--help" ]; then exit 0 else
+ echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
diff --git a/configure.ac b/configure.ac
index 51d9cbe..4d06b38 100644
--- a/configure.ac
+++ b/configure.ac
@@ -22,8 +22,6 @@ AM_INIT_AUTOMAKE([1.11 no-dist-gzip dist-xz foreign subdir-objects])
AM_SILENT_RULES([yes])
AM_MAINTAINER_MODE([enable])
-GNOME_MAINTAINER_MODE_DEFINES
-
AM_PROG_VALAC([0.24])
LT_PREREQ([2.2])
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]